Subject: Re: I-D Action: draft-hoffman-tao-as-web-page-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Sun, 10 Jun 2012 11:54:41 +0100

This draft should formally obsolete RFC 4677. Otherwise, I think it's fine.

This doesn't need to be in the document, but having a fixed location for
the pending version might be good, e.g. http://www.ietf.org/draft-tao.html .

Regards
   Brian Carpenter

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 10 Jun 2012 17:00:31 +0100

Oh, one thing I now realise is that the draft doesn't state that
the editor (in deciding what changes to adopt) and the IESG
(in approving an update) will of course do so by a normal IETF
consensus process (presumably ad hoc last calls) and subject
to appeal like anything else. This is so obvious in the IETF
context that I didn't even notice that it wasn't stated.

The sentence that should state it belongs about here:
  "The Tao
   has traditionally been an IETF consensus document, which means that
   the IESG has had the final say about what the Tao contained before it
   was sent to the RFC Editor.  Thus, the IESG should have final say for
   what the Tao says when it is a web page."

The IESG's "final say" is of course always in the context of determining
IETF consensus.

Regards
   Brian Carpenter

---

From: Paul Hoffman <[email-masked]>
Date: Sun, 10 Jun 2012 09:23:40 -0700

> context that I didn't even notice that it wasn't stated.

It is not what was intended.

- There was no mention to me of "ad hoc last calls", so I did not include them in the draft. 

- Is there an appeals process for the content of the various web pages created by the IESG?

--Paul Hoffman

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 11 Jun 2012 07:53:31 +0100

> - There was no mention to me of "ad hoc last calls", so I did not include them in the draft. 

Well, that was presumably an oversight. The IETF always works by
a consensus process, afaik.

> - Is there an appeals process for the content of the various web pages created by the IESG?

Yes. For many years there has been a presumption that the appeals
process in section 6.5 of RFC 2026 can be applied to *any* IESG action.
That being so, I suppose it isn't vital to write it down in every
document, but it makes things clearer.

Look, I'm not suggesting that either the editor or the IESG will
unilaterally put nonsense in the Tao. But the Tao can't be an exception
to the general principles of IETF process; that would be ironic, indeed.

  Brian

---

From: Russ Housley <[email-masked]>
Date: Mon, 11 Jun 2012 11:43:19 -0400

> a consensus process, afaik.

The IESG thinking on this is in line with Brian's thinking.  In the past, the Tao has been published as an informational RFC.  The approval process included community comment and IESG evaluation.  A parallel approval process ought to be used here.

Let's use of a well-known URL for the current approved Tao and a well-known URL for the draft of the Tao that is under consideration.  This will facilitate review of updates.

> document, but it makes things clearer.

Indeed.  Any decision by the IESG is subject to the existing appeals process.

Russ

---

From: Tony Hansen <[email-masked]>
Date: Mon, 11 Jun 2012 12:04:35 -0400

I'm wondering if there needs to be a distinction between "minor updates" 
and "major updates". Minor updates would be the typo variety or a URL 
change and wouldn't require much review at all. Major updates would 
require non-trivial review.

     Tony Hansen

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 11 Jun 2012 17:10:48 +0100

Tony,

Is there a need to draw a line (over which we will, no doubt, manage to fight in
the future)?

Can we not just say that updates will be batched and approved "in a timely
fashion", and know that updates will receive as much review and discussion as
the community thinks they merit?

Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Tony
> Hansen
> Sent: 11 June 2012 17:05
> To: IETF
> Subject: Re: I-D Action: draft-hoffman-tao-as-web-page-00.txt
> 
> >>> - There was no mention to me of "ad hoc last calls", so I did not include
them
> in the draft.
> > The IESG thinking on this is in line with Brian's thinking.  In the past,
the Tao has
> been published as an informational RFC.  The approval process included
> community comment and IESG evaluation.  A parallel approval process ought to
> be used here.
> >
> > Let's use of a well-known URL for the current approved Tao and a well-known
> URL for the draft of the Tao that is under consideration.  This will
facilitate review
> of updates.